| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Protected Member Functions | List of all members
IG.Neural.MapOutputElementDefinitionDto Class Reference

DTO (data transfer object) for neural data output element mapping definition. More...

Inheritance diagram for IG.Neural.MapOutputElementDefinitionDto:
[legend]
Collaboration diagram for IG.Neural.MapOutputElementDefinitionDto:
[legend]

## Public Member Functions
| MapOutputElementDefinitionDto ()
override OutputMappingDefinitionElement | CreateObject ()
Public Member Functions inherited from IG.Neural.MapNeuralImputOutputElementDefinitionDto< ElementType >
| MapNeuralImputOutputElementDefinitionDto ()
override ElementType | CreateObject ()

## Protected Member Functions
override void | CopyFromPlain (MappingDefinitionElement obj)
override void | CopyToPlain (ref MappingDefinitionElement obj)
Protected Member Functions inherited from IG.Neural.MapNeuralImputOutputElementDefinitionDto< ElementType >
override void | CopyFromPlain (MappingDefinitionElement obj)
override void | CopyToPlain (ref MappingDefinitionElement obj)

## Additional Inherited Members
Public Attributes inherited from IG.Neural.MapNeuralImputOutputElementDefinitionDto< ElementType >
int | OriginalElementIndex = -1
bool | OriginalElementIndexSpecified = false
int | MappedElementIndex = -1
bool | MappedElementIndexSpecified = false
string | OriginalName
string | OriginalTitle
string | OriginalDescription

## Detailed Description

DTO (data transfer object) for neural data output element mapping definition.

$A Igor Jul 19; tako78 Jul 19

## Constructor & Destructor Documentation

IG.Neural.MapOutputElementDefinitionDto.MapOutputElementDefinitionDto | ( |  | ) |
| inline

## Member Function Documentation

override OutputMappingDefinitionElement IG.Neural.MapOutputElementDefinitionDto.CreateObject | ( |  | ) |
| inline

override void IG.Neural.MapOutputElementDefinitionDto.CopyFromPlain | ( | MappingDefinitionElement | obj | ) |
| inline protected

override void IG.Neural.MapOutputElementDefinitionDto.CopyToPlain | ( | ref MappingDefinitionElement | obj | ) |
| inline protected

The documentation for this class was generated from the following file:

- igbase/numeric/approximation/neural/testneural/NeuralMapData.cs